| Oyranos Colour Management System API

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

Data Structures | Typedefs
oyConnector_s.h File Reference
`#include <oyranos_object.h>`
`#include "oyStruct_s.h"`
`#include "oyFilterPlug_s.h"`
`#include "oyFilterSocket_s.h"`

## Data Structures
struct | oyConnector_s
| A filter connection description structure. More...

## Typedefs
typedef int(* | oyCMMFilterSocket_MatchPlug_f) (oyFilterSocket_s *socket, oyFilterPlug_s *plug)
| verify connectors matching each other More...

## Detailed Description

[Template file inheritance graph] +-> oyConnector_s.template.h | +-> Base_s.h | +– oyStruct_s.template.h

Oyranos is an open source Colour Management System

Copyright:
  2004-2012 (C) Kai-Uwe Behrmann

Author
  Kai-Uwe Behrmann ku.b@.nosp@m.gmx..nosp@m.de

License:
  new BSD - see: http://www.opensource.org/licenses/bsd-license.php

Date
  2012/10/16

## Typedef Documentation

typedef int(* oyCMMFilterSocket_MatchPlug_f) (oyFilterSocket_s *socket, oyFilterPlug_s *plug)

verify connectors matching each other

typedef oyCMMFilterSocket_MatchPlug_f

A implementation for images is included in the core function oyFilterSocket_MatchImagePlug().

Parameters

  socket | a filter socket
  plug | a filter plug

Returns
  1 on success, otherwise 0

Version
  Oyranos: 0.1.10

Since
  2009/04/20 (Oyranos: 0.1.10)

Date
  2009/04/20